#ifndef G4Lab_SoG4RunManager_h
#define G4Lab_SoG4RunManager_h

// Inheritance :
#include <Inventor/nodes/SoSubNode.h>

#include <Inventor/fields/SoSFInt32.h>

class G4RunManager;

class SoG4RunManager : public SoNode {
  SO_NODE_HEADER(SoG4RunManager);
public:
  SoSFInt32 numberOfEvents;
public:
  SoG4RunManager();
  SoG4RunManager(G4RunManager*);
public:
  static void initClass();
protected:
  virtual void GLRender(SoGLRenderAction*);
protected:
  virtual ~SoG4RunManager();
private:
  G4RunManager* fRunManager;
};

#endif
